Author Topic: col draw in 3 point rectangle line  (Read 2484 times)

0 Members and 1 Guest are viewing this topic.

dussla

  • Bull Frog
  • Posts: 297
col draw in 3 point rectangle line
« on: March 29, 2008, 08:44:06 AM »
sorry , my many question
forgive me , here is holiday  , have a good time

this question is  colum in 3 point rectangle

if you see  attached file , you can understand.
always thank you for  many help

 :roll: :roll: :roll: :roll:
« Last Edit: March 29, 2008, 08:48:10 AM by dussla »

ronjonp

  • Needs a day job
  • Posts: 7531
Re: col draw in 3 point rectangle line
« Reply #1 on: March 30, 2008, 12:54:12 PM »
Have you been trying to understand any of the code provided to you?

Code: [Select]
(defun c:3rec (/ a1 a2 a3 ln p1 p2 p3)
  (setq ln "column";;change for layername
p1 (getpoint "\nSelect first point: ")
p2 (getpoint p1 "\nSelect second point: ")
p3 (getpoint p2 "\nSelect third point: ")
a1 (angle p1 p2)
a2 (angle p2 p3)
a3 (angle p3 p2)
  )
  (rjp-rectang ln p1 a1 a2 13.5 14.8);;change for w x h
  (rjp-rectang ln p2 (angle p2 p1) a2 13.5 14.8);;change for w x h
  (rjp-rectang ln p3 (angle p2 p1) a3 13.5 14.8);;change for w x h
  (princ)
)

(defun rjp-rectang (lyr p1 ang1 ang2 w h / p2)
  (entmakex
    (list '(0 . "LWPOLYLINE")
  '(100 . "AcDbEntity")
  (cons 8 lyr)
  '(100 . "AcDbPolyline")
  '(90 . 3)
  '(70 . 1)
  (cons 10 p1)
  (cons 10 (setq p2 (polar p1 ang1 w)))
  (cons 10 (polar p2 ang2 h))
  (cons 10 (polar p1 ang2 h))
    )
  )
)
« Last Edit: March 30, 2008, 01:10:19 PM by ronjonp »

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

dussla

  • Bull Frog
  • Posts: 297
Re: col draw in 3 point rectangle line
« Reply #2 on: March 30, 2008, 09:49:41 PM »
perpect
always thank you for help

good day ,  good luck
 :lol: :lol: :lol: :lol:

ronjonp

  • Needs a day job
  • Posts: 7531
Re: col draw in 3 point rectangle line
« Reply #3 on: March 30, 2008, 10:12:48 PM »
You're welcome.

Windows 11 x64 - AutoCAD /C3D 2023

Custom Build PC

daron

  • Guest
Re: col draw in 3 point rectangle line
« Reply #4 on: March 31, 2008, 11:44:05 AM »
Have you been trying to understand any of the code provided to you?
But you still didn't answer the question. I haven't tried or even looked at Ron's code, but from looking at your drawing, there are more ways to get the job done. Doing so might make it possible for you to get the job done faster or allow you a way to see the problems you encounter from a different perspective.